"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = __importDefault(require("ava"));
const purify_ts_1 = require("purify-ts");
/**
 * Library under test
 */
const input_1 = require("../src/app/input");
ava_1.default('should return host from github repository url (https)', t => {
    t.is('github.com', input_1.gitHost('https://github.com/strong-roots-capital/parse-int-base-ten').extract());
});
ava_1.default('should return host from github repository url (ssh)', t => {
    t.is('github.com', input_1.gitHost('git@github.com:EricCrosson/generator-typescript-package.git').extract());
});
ava_1.default('should return host from gitlab repository url (https)', t => {
    t.is('gitlab.com', input_1.gitHost('https://gitlab.com/debased/debased').extract());
});
ava_1.default('should return host from gitlab repository url (ssh)', t => {
    t.is('gitlab.com', input_1.gitHost('git@gitlab.com:debased/debased').extract());
});
ava_1.default('should return Nothing when unexpected input is encountered', t => {
    t.is(purify_ts_1.Nothing, input_1.gitHost('invalid input'));
});
