"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = __importDefault(require("ava"));
/**
 * Library under test
 */
const input_1 = require("../src/app/input");
const test = ava_1.default;
/*********************************************************************
 * Test cases
 ********************************************************************/
test.before(t => {
    t.context.packageNameKebabCase = 'my-package';
    t.context.scope = 'my-scope';
    t.context.packageWithScope = `@${t.context.scope}/${t.context.packageNameKebabCase}`;
});
test('should return package-name when scope is empty string', t => {
    t.is(t.context.packageNameKebabCase, input_1.scopedPackageName('', t.context.packageNameKebabCase));
});
test('should return scoped package when scope is populated', t => {
    t.is(t.context.packageWithScope, input_1.scopedPackageName(t.context.scope, t.context.packageNameKebabCase));
});
test(`should ignore one extra '@' in scope`, t => {
    t.is(t.context.packageWithScope, input_1.scopedPackageName(['@', t.context.scope].join(''), t.context.packageNameKebabCase));
});
test(`should ignore two extra '@' in scope`, t => {
    t.is(t.context.packageWithScope, input_1.scopedPackageName(['@', '@', t.context.scope].join(''), t.context.packageNameKebabCase));
});
//  LocalWords:  packageNameKebabCase
